#ifndef __utils_h__
#define __utils_h__
#ifndef WINDOWS
#define PATHSLASH "/"
#	include <sys/dir.h>
#	include <dirent.h>
#else
#define PATHSLASH "\\"
#	include <dir.h>
#	include <windows.h>
#	include <winioctl.h>
#	define FSHANDLE HANDLE
#	define FSHANDLE_INVALID INVALID_HANDLE_VALUE
#endif

#if defined(LINUX) || defined(DARWIN)
#	define FSHANDLE int
#	define FSHANDLE_INVALID -1
#endif

#include <config.h>
#include <stdio.h>
#include <string>
#include "FL/FLTKstuff.H"
#include "convertlib.h"

using namespace std;

class utils 
{
public:
		static bool dirExists(const char * pszDirName);
		static bool fileExists(const char * filename);

		static string* getlastdir(string which);
		static void setlastdir(string which,const char* newdir);	
};

#endif
