#ifndef ___wavesegment_h__
#define ___wavesegment_h__
//import java.awt.Color;
//import java.awt.Graphics;

//WaveSegment.java
//Discrete chunk of a wave
//
//(c) 2005 David Cuny
//http://tunafish.sourceforge.net
//Released under Qt Public License
class WaveHandler;
#include "WaveHandler.h"

class WaveSegment 
{
private:

	float maxHeight;
	bool overrideScale;
	bool selected;
	

public:	
	bool isSelected;
	int x1;
	int y1;
	int x2;
	int y2;
	int dragY;
	int endSample;	
	int midiNumber;
	int startSample;
	WaveSegment( int start, int end, int midi, float* samples,int sampleslen ) ;
	void render( int xStart, int yStart, double zoom, WaveHandler* wave,float* samples,int sampleslen,int waveOffset) ;
	void calcScreenPosition( int xStart, int yStart, double zoom,WaveHandler* wave );
};

#endif
