//WavePanel.java
//User interface to wave file
//
//(c) 2005 David Cuny
//http://tunafish.sourceforge.net
//Released under Qt Public License
#include "WavePanel.h"
/*import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Cursor;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.AdjustmentEvent;
import java.awt.event.AdjustmentListener;
import java.awt.event.ComponentAdapter;
import java.awt.event.ComponentEvent;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;
import java.awt.image.BufferedImage;
import java.io.File;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JScrollBar;
import javax.swing.JToolBar;
import javax.swing.Scrollable;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

import com.sun.java_cup.internal.emit;

**
 * @author David Cuny
 * 
 */
//public class WavePanel extends JPanel {
//
	//private static final long serialVersionUID = 1L;
//	
	//public WaveHandler wave;
//	public WaveCanvas waveCanvas;
	//public JScrollBar horizontalScrollBar;
//	public JScrollBar verticalScrollBar;
#define WAVEPAN_DEBUG 1
WavePanel::WavePanel(int pixels):Fl_Group(0,0,100,100) 
{
#if (WAVEPAN_DEBUG==1)
		cout << "WavePanel::WavePanel" << endl;	
#endif
		// create an empty wave file
		this->wave = new WaveHandler();
		
//		this->setLayout(new BorderLayout() );
//		this->setOpaque(true);
		
		// create a label to display the wave on
		this->waveCanvas = new WaveCanvas();
//		this->add(this->waveCanvas, BorderLayout.CENTER);
		
		// create horizontal scroll bar to scroll the waveCanvas
//		this->horizontalScrollBar = new JScrollBar(JScrollBar.HORIZONTAL);
		//this->add(this->horizontalScrollBar, BorderLayout.SOUTH);
			
//		this->horizontalScrollBar.addAdjustmentListener(new AdjustmentListener() {
			//public void adjustmentValueChanged(AdjustmentEvent event) {
//				Main.mainWindow.wavePanel.waveCanvas.repaint();
			//}
//		});
//
		
		// create vertical scroll bar to scroll the waveCanvas
//		this->verticalScrollBar = new JScrollBar(JScrollBar.VERTICAL);
		//this->add(this->verticalScrollBar, BorderLayout.EAST);
			
//		this->verticalScrollBar.addAdjustmentListener(new AdjustmentListener() {
			//public void adjustmentValueChanged(AdjustmentEvent event) {
//				Main.mainWindow.wavePanel.waveCanvas.repaint();
			//}
//		});

		
}		
void WavePanel::adjustScrollbar() {
	// set maximum based on number of samples and zoom
	cout << "TODO: WavePanel::adjustScrollbar()" << endl;	
	/*
	int max = (int)(Main.mainWindow.wavePanel.wave.sampleCount / Main.mainWindow.wavePanel.wave.zoom);		
	Main.mainWindow.wavePanel.horizontalScrollBar.setMaximum( max );
*/
}



void WavePanel::repaint()
{
	cout << "TODO: WavePanel::repaint()" << endl;
}

void WaveCanvas::init()
{	
	cout << "TODO: WaveCanvas::init()" << endl;
	return;/*
	// the current cursor
	this->currentCursor = Cursor.DEFAULT_CURSOR;

	// midi value before drag
	this->baseMidi = 0;
		
	// active segment (if any)
	this->selectedSegment = null;
*/
}

WaveCanvas::WaveCanvas():Fl_Group(10,10,90,90)	
{
	cout << "TODO: WaveCanvas constructor" << endl;
	this->init(); 
	this->end();
	this->show();
	/*
	this->addMouseListener(this);
	this->addMouseMotionListener(this);*/
}

void WaveCanvas::repaint()
{
	cout << "TODO: WaveCanvas repaint" << endl;
	return;
}

void WaveCanvas::paintComponent(/*Graphics*/void* g) 
{
	cout << "TODO: WaveCanvas paintComponent" << endl;
    	/*
	// no wave loaded yet?
	if (Main.mainWindow.wavePanel == null) {
		return;
	}
	    	
	int points = 12;
				
	// repaint
	Fl_Group::draw(); //super.paintComponent(g);
			
	// get size
	int height = this->getHeight();
	int width = this->getWidth();

	// clear the background
	g.setColor(ColorScheme.NON_SCALE_BACKGROUND);			
	g.fillRect(0, 0, width, height);

	// get start position
	int position = Main.mainWindow.wavePanel.horizontalScrollBar.getValue(); 				

	// draw the wave on the panel
	Main.mainWindow.wavePanel.wave.render(g, height, width, position);
*/
}
	    
void WaveCanvas::useCursor( int id ) 
{
	cout << "TODO: WaveCanvas useCursor" << endl;
/*
	// not the current cursor?
	if (this->currentCursor != id) {
		// make it current
		this->currentCursor = id;
		// use it
		this->setCursor( new Cursor(id) );
	}*/
}

		
void WaveCanvas::adjustCursor( int x, int y, bool isShiftDown ) 
{
	cout << "TODO: WaveCanvas adjustCursor" << endl;
	// useCursor( Cursor.<TYPE> )
}

void WaveCanvas::mouseMoved(MouseEvent e) {
	// adjust the cursor based on the state
	cout << "TODO: WaveCanvas mouseMoved" << endl;
	//adjustCursor( e.getX(), e.getY(), e.isShiftDown() );		
}	    

void WaveCanvas::mouseDragged(MouseEvent e) {
	cout << "TODO: WaveCanvas mouseDragged" << endl;
	// where is the click?
	/*
	int x = e->getX();
	int y = e->getY();
	
	// get offset
	int position = Main.mainWindow.wavePanel.horizontalScrollBar.getValue();
	
	// actual position
	float zoom = Main.mainWindow.wavePanel.wave.zoom;
	int at = (int)((position + x)*zoom);

	// is a segment being dragged?
	if (this->selectedSegment != null) {
		// calculate change in y position
		int dy = y - this->mouseDragStartY;

		// calculate relative change in terms of midi notes
		int addMidi = dy / WaveHandler.SEGMENT_HEIGHT;

		// moved less than a step?
		if (addMidi == 0) {
			// only change the position of the drag box
			this->selectedSegment.dragY = dy;
			
		} else {
			// reset the drag offset
			this->selectedSegment.dragY = 0;					
			this->mouseDragStartY = y;
		
			// add to user changed midi value
			this->selectedSegment.midiNumber -= addMidi;
			
			// resample the wave
			Main.mainWindow.wavePanel.wave.analyzeWave.calculateCorrectPitch();															
		}
		
		// repaint
		Main.mainWindow.wavePanel.repaint();
		
		return;
		
	}
	
	
	// no start selection?
	if (Main.mainWindow.wavePanel.wave.selectionStart == -1 ) {
		// start selection here
		Main.mainWindow.wavePanel.wave.selectionStart = at;				
	}
	
	// extend the selection
	Main.mainWindow.wavePanel.wave.extendSelection( at );
	
	// repaint
	Main.mainWindow.wavePanel.repaint();
*/
}

void WaveCanvas::mousePressed(MouseEvent e) {

	bool repaintFlag = false;
	cout << "TODO: WaveCanvas mousePressed" << endl;
	/*	
	// get position
	int x = e.getX();
	int y = e.getY();

	// get the wave handler
	WaveHandler wave = Main.mainWindow.wavePanel.wave;
	
	// deactivate prior segment?
	if (this->selectedSegment != null) {
		// unselect the segment
		this->selectedSegment.isSelected = false;
		
		// force a repaint
		repaintFlag = true;
	}
	
	// hit a segment?
	this->selectedSegment = wave.hitSegment( x, y, this->getHeight() );
	if (this->selectedSegment != null) {				
		// make the selected segment active
		this->selectedSegment.isSelected = true;
	
		// save mouse position at the start of the drag
		this->mouseDragStartX = x;
		this->mouseDragStartY = y;
		
		// force a repaint
		repaintFlag = true;
		
	} else {
	
		// remove selection?
		if (Main.mainWindow.wavePanel.wave.selectionStart != -1 ) {				
			Main.mainWindow.wavePanel.wave.selectionStart = -1;
			repaintFlag = true;
		}
	}
	
	// repaint window?
	if (repaintFlag) {
		// update the window
		Main.mainWindow.wavePanel.repaint();
	}
 	*/
}

void WaveCanvas::mouseClicked(MouseEvent e) {
	cout << "TODO: WaveCanvas mouseClicked" << endl;
/*
	// right click?
	if (e.getButton() == MouseEvent.BUTTON3) {
		// nothing
	}
	
	// doubleclick?
	if (e.getClickCount() == 2) {
		// nothing
	}
*/
}
		
void WaveCanvas::mouseReleased(MouseEvent e) {
	// check for end of drag
	cout << "TODO: WaveCanvas mouseReleased" << endl;
	/*
	if (this->selectedSegment != null ) {
		// clear the drag offset
		this->selectedSegment.dragY = 0;
		
		// repaint
		Main.mainWindow.wavePanel.repaint();
	}
*/
}

void WaveCanvas::mouseEntered(MouseEvent e) {
	// restore the default cursor
	cout << "TODO: WaveCanvas mouseEntered" << endl;
/*
	this->currentCursor = Cursor.DEFAULT_CURSOR;
	this->setCursor( new Cursor(this->currentCursor) );
*/
}

void WaveCanvas::mouseExited(MouseEvent e) 
{
	cout << "TODO: WaveCanvas mouseExited" << endl;
/*
	// restore the default cursor?
	if (this->currentCursor != Cursor.DEFAULT_CURSOR) 
	{
		this->currentCursor = Cursor.DEFAULT_CURSOR;
	}
*/
}

