//ColorScheme.java
//Color theme for TunaFish application
//
//(c) 2005 David Cuny
//http://tunafish.sourceforge.net
//Released under Qt Public License

import java.awt.Color;

public class ColorScheme {	
	static final Color SCALE_BACKGROUND = new Color( 239, 239, 255 );
	static final Color NON_SCALE_BACKGROUND = new Color( 212, 212, 255 );
	static final Color SCALE_DIVIDING_LINE = new Color( 127, 127, 255 );
	static final Color UNSELECTED_SEGMENT = new Color( 240, 212, 134);
	static final Color UNSELECTED_SEGMENT_BORDER = new Color( 127, 0, 0 );
	static final Color SELECTED_SEGMENT = new Color( 182, 25, 117 );
	static final Color SELECTED_SEGMENT_BORDER = new Color( 127, 0, 0 );
	static final Color INNER_LINE = new Color( 127, 0, 0 );
	static final Color OUTER_LINE = new Color( 214, 251, 194 );
	static final Color WAVE_COLOR = new Color( 127, 0, 0 );
	static final Color SELECTION = new Color ( 0, 0, 127);
	static final Color PITCH_NAME_FOREGROUND = new Color( 0, 0, 0);
	static final Color PITCH_NAME_BACKGROUND = new Color( 255, 255, 255 );
}
